Subject: [bug#41785] [PATCH v4] services: Add 'hurd-in-vm service-type'.

From: Mathieu Othacehe <[email-masked]>
Date: Sun, 14 Jun 2020 14:44:38 +0200

Hey janneke!

> (define (hurd-vm-disk-image config)
>   "Return a disk-image for the Hurd according to CONFIG."
>   (with-parameters ((%current-target-system "i586-pc-gnu"))
>     (let ((os (hurd-vm-configuration-os config))
>           (disk-size (hurd-vm-configuration-disk-size config)))
>       (system-image
>        (image
>         (inherit hurd-disk-image)
>         (size disk-size)
>         (operating-system os))))))

Nice! I'm not sure why we still need the "with-parameters" call because,
it's done first thing in "system-image". I'd like to understand this
before proceeding, do you have a branch where I could test it?

> -  ;; FIXME: %current-target-system may not be bound <https://bugs.gnu.org/29296>
> -  (let ((target (%current-target-system)))
> +  (let-system (system target)
>      (with-extensions (list shepherd)
>        (computed-file (string-append (basename (scheme-file-name file) ".scm")
>                                      ".go")
>
> produces a working hurd-vm service!

Good catch!

Thanks,

Mathieu